package com.ho.test.perf.measure.commons.dao.hibernate;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.ho.test.perf.measure.commons.aop.PerformanceMonitor;


public class Business1DaoHibernateImpl implements IBusiness1 {
	
	private static Log log = LogFactory.getLog(Business1DaoHibernateImpl.class);
	
	/**
	 * Save or update object into database.
	 */
	public void saveOrUpdate() {
		log.debug("Method:saveOrUpdate START");
		try {
			Thread.currentThread().sleep(PerformanceMonitor.getRandomSleepTime());
		} catch(Throwable th){
		}
		log.debug("Method:saveOrUpdate END");
	}
	/**
	 * Save object into database.
	 */
	public void save() {
		log.debug("Method:save START");
		try {
			Thread.currentThread().sleep(PerformanceMonitor.getRandomSleepTime());
		} catch(Throwable th){
		}
		log.debug("Method:save END");
	}
	/**
	 * Update object into database.
	 */
	public void update() {
		log.debug("Method:update START");
		try {
			Thread.currentThread().sleep(PerformanceMonitor.getRandomSleepTime());
		} catch(Throwable th){
		}
		log.debug("Method:update END");
	}

	/**
	 * Delete object into database.
	 */
	public void delete() {
		log.debug("Method:delete START");
		try {
			Thread.currentThread().sleep(PerformanceMonitor.getRandomSleepTime());
		} catch(Throwable th){
		}
		log.debug("Method:delete END");
	}
}