package com.ho.test.perf.measure.main;

import com.ho.test.perf.measure.commons.tools.StopWatch;

public class PerfMeasureTest {
	
	public static void main(String[] args) {
		
		// Clean the set of tasks
		StopWatch.getInstance().clear();
		
		// Task 1
		StopWatch.getInstance().start("task 1");
		{
			// Task 2
			StopWatch.getInstance().start("task 2");
			{
				StopWatch.getInstance().start("task 2a");
					try {Thread.sleep(500);} catch (InterruptedException e) {}
				StopWatch.getInstance().stop("task 2a");
				//
				StopWatch.getInstance().start("task 2c");
					try {Thread.sleep(125);} catch (InterruptedException e) {}
				StopWatch.getInstance().stop("task 2c");
				//
				StopWatch.getInstance().start("task 2d");
					try {Thread.sleep(30);} catch (InterruptedException e) {}
					StopWatch.getInstance().start("task 2d1");
						try {Thread.sleep(252);} catch (InterruptedException e) {}
					StopWatch.getInstance().stop("task 2d1");
				StopWatch.getInstance().stop("task 2d");
			}
			StopWatch.getInstance().stop("task 2");
			
			// Task 3
			StopWatch.getInstance().start("task 3");
			{
				try {Thread.sleep(10);} catch (InterruptedException e) {}
				StopWatch.getInstance().start("task 3a").setSignificant();
					try {Thread.sleep(45);} catch (InterruptedException e) {}
				StopWatch.getInstance().stop("task 3a");
			}
			StopWatch.getInstance().stop("task 3");

			// Task 3a 
			StopWatch.getInstance().start("task 3a");
				try {Thread.sleep(55);} catch (InterruptedException e) {}
			StopWatch.getInstance().stop("task 3a");
			
		}
		StopWatch.getInstance().stop("task 1");
		
		// Task 3a 
		StopWatch.getInstance().start("task 3a");
			try {Thread.sleep(65);} catch (InterruptedException e) {}
		StopWatch.getInstance().stop("task 3a");
		
		// Display the execution report of StopWatch
		System.out.println(StopWatch.getInstance());
	}
}
